import type { PropType } from '@opentinyvue/vue-common';
export type DirectionType = 'horizontal' | 'vertical';
export type BorderStyleType = 'dashed' | 'solid' | 'dotted';
export type ContentPositionType = 'left' | 'right' | 'center';
export declare const $constants: {};
export declare const dividerProps: {
    _constants: {
        type: ObjectConstructor;
        default: () => {};
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    borderStyle: {
        type: PropType<BorderStyleType>;
        default: string;
    };
    contentPosition: {
        type: PropType<ContentPositionType>;
        default: string;
    };
    contentColor: {
        type: StringConstructor;
        default: string;
    };
    contentBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    fontSize: {
        type: StringConstructor;
        default: () => string;
    };
    margin: StringConstructor;
    offset: StringConstructor;
    height: StringConstructor;
    status: {
        type: StringConstructor;
        values: string[];
        default: () => string;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: import("@vue/runtime-core").DefineComponent<{
    _constants: {
        type: ObjectConstructor;
        default: () => {};
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    borderStyle: {
        type: PropType<BorderStyleType>;
        default: string;
    };
    contentPosition: {
        type: PropType<ContentPositionType>;
        default: string;
    };
    contentColor: {
        type: StringConstructor;
        default: string;
    };
    contentBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    fontSize: {
        type: StringConstructor;
        default: () => string;
    };
    margin: StringConstructor;
    offset: StringConstructor;
    height: StringConstructor;
    status: {
        type: StringConstructor;
        values: string[];
        default: () => string;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    _constants: {
        type: ObjectConstructor;
        default: () => {};
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    borderStyle: {
        type: PropType<BorderStyleType>;
        default: string;
    };
    contentPosition: {
        type: PropType<ContentPositionType>;
        default: string;
    };
    contentColor: {
        type: StringConstructor;
        default: string;
    };
    contentBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    fontSize: {
        type: StringConstructor;
        default: () => string;
    };
    margin: StringConstructor;
    offset: StringConstructor;
    height: StringConstructor;
    status: {
        type: StringConstructor;
        values: string[];
        default: () => string;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>>, {
    tiny_mode_root: boolean;
    _constants: Record<string, any>;
    direction: DirectionType;
    contentPosition: ContentPositionType;
    color: string;
    fontSize: string;
    borderStyle: BorderStyleType;
    status: string;
    contentColor: string;
    contentBackgroundColor: string;
}, {}>;
export default _default;
